### Hierarchy

- Diagram
  - Palette

Palette extends the Diagram class to allow objects to be dragged and placed onto other Diagrams. Its Diagram.layout is a GridLayout. The Palette is Diagram.isReadOnly but to support drag-and-drop its Diagram.allowDragOut is true.

For more discussion, see Introduction to Palettes. See samples that make use of Palettes in the samples index.

You can control the order of Parts in the palette in several manners:

- If you want to keep the order given by `myPalette.model.nodeDataArray`, just set `myPalette.layout.sorting = go.GridLayout.Forward` (GridLayout.sorting).
- If you want to sort based on some text string associated with each Part, just bind Part.text.
- If you want to sort more generally, set `myPalette.layout.comparer` (GridLayout.comparer).

## Index

### Constructors

- constructor

## Constructors

### constructor

- new Palette(div?: Element | string): Palette

- #### Parameters

  - ##### Optional div: Element | string

    A reference to a div or its ID as a string.

  #### Returns Palette

Copyright © 1998-2020 by Northwoods Software Corporation.